package com.bonus.canteen.core.report.api.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class ReportDeviceOrderSumVO {
   @ApiModelProperty("当餐总金额")
   private BigDecimal currentMealTotalAmount;
   @ApiModelProperty("当餐订单数")
   private Integer currentMealTotalCount;
   @ApiModelProperty("当天金额")
   private BigDecimal currentDayTotalAmount;
   @ApiModelProperty("当天订单数")
   private Integer currentDayTotalCount;
   @ApiModelProperty("当月金额")
   private BigDecimal currentMonthTotalAmount;
   @ApiModelProperty("当月订单数")
   private Integer currentMonthTotalCount;
   @ApiModelProperty("上月金额")
   private BigDecimal lastMonthTotalAmount;
   @ApiModelProperty("上月订单数")
   private Integer lastMonthTotalCount;

   public BigDecimal getCurrentMealTotalAmount() {
      return this.currentMealTotalAmount;
   }

   public Integer getCurrentMealTotalCount() {
      return this.currentMealTotalCount;
   }

   public BigDecimal getCurrentDayTotalAmount() {
      return this.currentDayTotalAmount;
   }

   public Integer getCurrentDayTotalCount() {
      return this.currentDayTotalCount;
   }

   public BigDecimal getCurrentMonthTotalAmount() {
      return this.currentMonthTotalAmount;
   }

   public Integer getCurrentMonthTotalCount() {
      return this.currentMonthTotalCount;
   }

   public BigDecimal getLastMonthTotalAmount() {
      return this.lastMonthTotalAmount;
   }

   public Integer getLastMonthTotalCount() {
      return this.lastMonthTotalCount;
   }

   public void setCurrentMealTotalAmount(final BigDecimal currentMealTotalAmount) {
      this.currentMealTotalAmount = currentMealTotalAmount;
   }

   public void setCurrentMealTotalCount(final Integer currentMealTotalCount) {
      this.currentMealTotalCount = currentMealTotalCount;
   }

   public void setCurrentDayTotalAmount(final BigDecimal currentDayTotalAmount) {
      this.currentDayTotalAmount = currentDayTotalAmount;
   }

   public void setCurrentDayTotalCount(final Integer currentDayTotalCount) {
      this.currentDayTotalCount = currentDayTotalCount;
   }

   public void setCurrentMonthTotalAmount(final BigDecimal currentMonthTotalAmount) {
      this.currentMonthTotalAmount = currentMonthTotalAmount;
   }

   public void setCurrentMonthTotalCount(final Integer currentMonthTotalCount) {
      this.currentMonthTotalCount = currentMonthTotalCount;
   }

   public void setLastMonthTotalAmount(final BigDecimal lastMonthTotalAmount) {
      this.lastMonthTotalAmount = lastMonthTotalAmount;
   }

   public void setLastMonthTotalCount(final Integer lastMonthTotalCount) {
      this.lastMonthTotalCount = lastMonthTotalCount;
   }

}
